.dropdown {
  position: relative;
  display: inline-block;

  &Toggle{

    background-color: transparent;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
  }

  &Open{
    .dropdownArrow {
      transform: scale(-1, -1);
    }
  }

  &Content{
    align-items: flex-start;
    background-color: var(--white);
    border: 1px solid;
    border-color: var(--dark-violet);
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 30px;
    width: 250px;
    z-index: 10;
    position: absolute;
    right: 0;
    margin-top: 12px;

    &::before {
      position: absolute;
      top: -12px;
      right: 36px;
      content: " ";
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 0 8px 12px 8px;
      border-color: transparent transparent var(--dark-violet) transparent;
      transform: rotate(0deg);
    }

    &Header {
      color: var(--dark);
      font-size: var(--font-size-m);
      font-style: normal;
      font-weight: 400;
    }
    &Footer {
      width: 100%;
    }

    &Closed {
      position: absolute;
      top: 12px;
      right: 12px;
      width: 24px;
      color: var(--dark-violet);
      cursor: pointer;
    }
  }

  &Menu {
    align-items: flex-start;
    align-self: stretch;
    background-color: transparent;
    display: flex;
    flex: 0 0 auto;
    flex-direction: column;
    gap: 8px;
    width: 100%;

    &Item {
      display: block;
      width: 100%;
      padding: 8px;
      border-radius: 12px;
      cursor: pointer;
      transition: ease-in-out 0.3s background-color;

      &Active, &:hover, &:focus{
        background-color: var(--violet-light);

      }
    }
  }



}
